View Issue Details

IDProjectCategoryView StatusLast Update
0001941Industrial-Craft²E-Net, cabling, storage/transformer blockspublic2016-08-05 09:25
ReportercindyloAssigned ToAroma1997 
PriorityimmediateSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinuxOSDebianOS Version8.1
Product Version 
Target VersionFixed in VersionBuilds for MC 1.10.x 
Summary0001941: CME upon world load
DescriptionUpon the world loading and starting to tick I get this crash from IC2 everytime. I've tried all builds from 14 to 21 from the 110 section in the jenkins server and it does it on all of them.
Steps To Reproduce1. Generate world
2. Play for a bit
3. Restart server
4. Watch it crash
TagsNo tags attached.
Minecraft Version1.10.2

Relationships

duplicate of 0001923 resolvedAroma1997 java.util.ConcurrentModificationException at java.util.ArrayList$Itr.checkForComodification 

Activities

cindylo

2016-07-24 23:39

reporter  

crash-2016-07-24_19.03.16-server.txt (14,774 bytes)
---- Minecraft Crash Report ----

WARNING: coremods are present:
  EnderCorePlugin (EnderCore-1.10.2-0.4.1.41-beta.jar)
  CodeChickenCorePlugin (CodeChickenCore-1.9.4-2.0.4.71-universal.jar)
  IC2core (industrialcraft-2-2.6.21-ex110.jar)
  LoadingHook (Mekanism-1.10.2-9.1.0.287.jar)
  LoadingPlugin (Quark-beta-46.jar)
  CCCDeobfPlugin (unknown)
  TransformerLoader (OpenComputers-MC1.10.2-1.6.0.20-dev.jar)
  FMLPlugin (InventoryTweaks-1.61-58.jar)
  ShetiPhian-ASM (shetiphiancore-1.10.0-3.3.0.jar)
  CCLCorePlugin (CodeChickenLib-1.9.4-2.1.2.42-universal.jar)
Contact their authors BEFORE contacting forge

// Ouch. That hurt :(

Time: 7/24/16 7:03 PM
Description: Exception in server tick loop

java.util.ConcurrentModificationException
	at java.util.HashMap$HashIterator.nextNode(HashMap.java:1429)
	at java.util.HashMap$KeyIterator.next(HashMap.java:1453)
	at ic2.core.energy.leg.EnergyNetLocalLeg.tickStart(EnergyNetLocalLeg.java:162)
	at ic2.core.energy.leg.EventHandler.preTick(EventHandler.java:44)
	at net.minecraftforge.fml.common.eventhandler.ASMEventHandler_151_EventHandler_preTick_WorldTickEvent.invoke(.dynamic)
	at net.minecraftforge.fml.common.eventhandler.ASMEventHandler.invoke(ASMEventHandler.java:72)
	at net.minecraftforge.fml.common.eventhandler.EventBus.post(EventBus.java:168)
	at net.minecraftforge.fml.common.FMLCommonHandler.onPreWorldTick(FMLCommonHandler.java:282)
	at net.minecraft.server.MinecraftServer.func_71190_q(MinecraftServer.java:694)
	at net.minecraft.server.dedicated.DedicatedServer.func_71190_q(DedicatedServer.java:387)
	at net.minecraft.server.MinecraftServer.func_71217_p(MinecraftServer.java:613)
	at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:471)
	at java.lang.Thread.run(Thread.java:745)


A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------

-- System Details --
Details:
	Minecraft Version: 1.10.2
	Operating System: Linux (amd64) version 3.16.0-4-amd64
	Java Version: 1.8.0_91, Oracle Corporation
	Java VM Version: OpenJDK 64-Bit Server VM (mixed mode), Oracle Corporation
	Memory: 367496288 bytes (350 MB) / 2030567424 bytes (1936 MB) up to 3817865216 bytes (3641 MB)
	JVM Flags: 2 total; -Xms512m -Xmx4096m
	IntCache: cache: 0, tcache: 0, allocated: 12, tallocated: 94
	FML: MCP 9.32 Powered by Forge 12.18.1.2014 52 mods loaded, 52 mods active
	States: 'U' = Unloaded 'L' = Loaded 'C' = Constructed 'H' = Pre-initialized 'I' = Initialized 'J' = Post-initialized 'A' = Available 'D' = Disabled 'E' = Errored
	UCHIJAAAA	mcp{9.19} [Minecraft Coder Pack] (minecraft.jar) 
	UCHIJAAAA	FML{8.0.99.99} [Forge Mod Loader] (forge-1.10.2-12.18.1.2014-universal.jar) 
	UCHIJAAAA	Forge{12.18.1.2014} [Minecraft Forge] (forge-1.10.2-12.18.1.2014-universal.jar) 
	UCHIJAAAA	CodeChickenCore{2.0.4.71} [CodeChicken Core] (minecraft.jar) 
	UCHIJAAAA	OpenComputers|Core{1.6.0.20-dev} [OpenComputers (Core)] (minecraft.jar) 
	UCHIJAAAA	Baubles{1.2.1.0} [Baubles] (Baubles-1.9.4-1.2.1.0.jar) 
	UCHIJAAAA	bdlib{1.12.1.4} [BD Lib] (bdlib-1.12.1.4-mc1.10.2.jar) 
	UCHIJAAAA	betterwithmods{Beta 0.8.2 Hotfix 2} [Better With Mods] (Better With Mods-0.8.2-1.9.4-hotfix2.jar) 
	UCHIJAAAA	guideapi{@VERSION@} [Guide-API] (Guide-API-1.9.4-2.0.0-40.jar) 
	UCHIJAAAA	JEI{3.7.8.234} [Just Enough Items] (jei_1.10.2-3.7.8.234.jar) 
	UCHIJAAAA	BloodMagic{1.9.4-2.0.3-51} [Blood Magic: Alchemical Wizardry] (BloodMagic-1.9.4-2.0.3-51.jar) 
	UCHIJAAAA	bookshelf{1.3.0.280} [Bookshelf] (Bookshelf-1.10-1.3.0.280.jar) 
	UCHIJAAAA	Botania{r1.8-312} [Botania] (Botania-unofficial.r1.8-312.jar) 
	UCHIJAAAA	Waila{1.7.0} [Waila] (Waila-1.7.0-B3_1.9.4.jar) 
	UCHIJAAAA	SonarCore{3.0.5} [SonarCore] (SonarCore-1.9.4-3.0.5.jar) 
	UCHIJAAAA	Calculator{3.0.7} [Calculator] (Calculator-1.9.4-3.0.7.jar) 
	UCHIJAAAA	Chameleon{1.9.4-2.1.6} [Chameleon] (Chameleon-1.9.4-2.1.6.jar) 
	UCHIJAAAA	ChickenChunks{2.0.2.33} [ChickenChunks] (ChickenChunks-1.9.4-2.0.2.33-universal.jar) 
	UCHIJAAAA	chisel{MC1.9.4-0.0.6.33} [Chisel] (Chisel-MC1.9.4-0.0.6.33.jar) 
	UCHIJAAAA	endercore{1.10.2-0.4.1.41-beta} [EnderCore] (EnderCore-1.10.2-0.4.1.41-beta.jar) 
	UCHIJAAAA	endercrop{1.9-1.2-1836} [Ender Crop] (endercrop-1.9.4-1.3.1.jar) 
	UCHIJAAAA	EnderIO{1.10.2-3.0.1.73_beta} [Ender IO] (EnderIO-1.10.2-3.0.1.73_beta.jar) 
	UCHIJAAAA	EnderStorage{2.0.3.63} [EnderStorage] (EnderStorage-1.9.4-2.0.3.63-universal.jar) 
	UCHIJAAAA	shetiphiancore{3.3.0} [ShetiPhian-Core] (shetiphiancore-1.10.0-3.3.0.jar) 
	UCHIJAAAA	endertanks{1.4.1} [EnderTanks] (endertanks-1.10.0-1.4.1.jar) 
	UCHIJAAAA	EnderZoo{1.10-1.2.3.43} [Ender Zoo] (EnderZoo-1.10-1.2.3.43.jar) 
	UCHIJAAAA	IC2{2.6.21-ex110} [IndustrialCraft 2] (industrialcraft-2-2.6.21-ex110.jar) 
	UCHIJAAAA	forestry{5.2.0.203} [Forestry] (forestry_1.10.2-5.2.0.203.jar) 
	UCHIJAAAA	graves{1.10.2-b26-universal} [Graves Mod] (Graves-1.10.2-b26-universal.jar) 
	UCHIJAAAA	fusionlordspatrons{1.10.2-b2} [FusionLord's Patrons] (FusionLord's Patrons-1.10.2-b2.jar) 
	UCHIJAAAA	fyrestone{0.6.5.0} [Fyrestone] (fyrestone-0.6.5.0.jar) 
	UCHIJAAAA	gendustry{1.6.4.10} [GenDustry] (gendustry-1.6.4.10-mc1.10.2.jar) 
	UCHIJAAAA	inventorytweaks{1.61-58-a1fd884} [Inventory Tweaks] (InventoryTweaks-1.61-58.jar) 
	UCHIJAAAA	IronChest{7.0.7.795} [Iron Chest] (ironchest-1.10.2-7.0.7.795.jar) 
	UCHIJAAAA	mcmultipart{1.2.0_72} [MCMultiPart] (MCMultiPart-experimental-1.2.0_72-universal.jar) 
	UCHIJAAAA	Mekanism{9.1.0} [Mekanism] (Mekanism-1.10.2-9.1.0.287.jar) 
	UCHIJAAAA	MekanismGenerators{9.1.0} [MekanismGenerators] (MekanismGenerators-1.10.2-9.1.0.287.jar) 
	UCHIJAAAA	Morpheus{1.10-3.1.6} [Morpheus] (Morpheus-1.10-3.1.6.jar) 
	UCHIJAAAA	OpenComputers{1.6.0.20-dev} [OpenComputers] (OpenComputers-MC1.10.2-1.6.0.20-dev.jar) 
	UCHIJAAAA	planttech{1.6.0} [Planttech] (planttech-1.6.1 - 1.10.2.jar) 
	UCHIJAAAA	platforms{1.2.0} [Platforms] (platforms-1.10.0-1.2.0.jar) 
	UCHIJAAAA	pressure{1.3.1.6} [Pressure Pipes] (pressure-1.3.1.6-mc1.10.2.jar) 
	UCHIJAAAA	Quark{beta-46} [Quark] (Quark-beta-46.jar) 
	UCHIJAAAA	StorageDrawers{1.9.4-3.2.0} [Storage Drawers] (StorageDrawers-1.9.4-3.2.0.jar) 
	UCHIJAAAA	refinedstorage{0.8.12} [Refined Storage] (refinedstorage-0.8.12.jar) 
	UCHIJAAAA	roots{0.109} [Roots] (roots-1.10.2-0.109.0.jar) 
	UCHIJAAAA	shiftedsnow{${version}} [Better Snow] (shiftedsnow-0.2.jar) 
	UCHIJAAAA	simplebarrels{1.1a} [Simple Barrels] (simplebarrels-1.10.2-2002-1.1a.jar) 
	UCHIJAAAA	terraqueous{1.2.1} [Terraqueous] (terraqueous-1.10.0-1.2.1.jar) 
	UCHIJAAAA	Translocator{2.0.1.25} [Translocator] (Translocators-1.9.4-2.0.1.25-universal.jar) 
	UCHIJAAAA	sapturretmod{4.0.0-alpha.5} [Turret Mod Rebirth] (TurretMod-1.10-4.0.0-alpha.5.jar) 
	UCHIJAAAA	WailaHarvestability{1.1.7} [Waila Harvestability] (WailaHarvestability-mc1.10-1.1.7.jar) 
	Loaded coremods (and transformers): 
EnderCorePlugin (EnderCore-1.10.2-0.4.1.41-beta.jar)
  com.enderio.core.common.transform.EnderCoreTransformer
CodeChickenCorePlugin (CodeChickenCore-1.9.4-2.0.4.71-universal.jar)
  codechicken.core.asm.TweakTransformer
  codechicken.core.asm.DelegatedTransformer
  codechicken.core.asm.DefaultImplementationTransformer
IC2core (industrialcraft-2-2.6.21-ex110.jar)
  
LoadingHook (Mekanism-1.10.2-9.1.0.287.jar)
  
LoadingPlugin (Quark-beta-46.jar)
  vazkii.quark.base.asm.ClassTransformer
CCCDeobfPlugin (unknown)
  
TransformerLoader (OpenComputers-MC1.10.2-1.6.0.20-dev.jar)
  li.cil.oc.common.asm.ClassTransformer
FMLPlugin (InventoryTweaks-1.61-58.jar)
  invtweaks.forge.asm.ContainerTransformer
ShetiPhian-ASM (shetiphiancore-1.10.0-3.3.0.jar)
  shetiphian.core.asm.ClassTransformer
CCLCorePlugin (CodeChickenLib-1.9.4-2.1.2.42-universal.jar)
  codechicken.lib.asm.ClassHeirachyManager
  codechicken.lib.asm.RenderHookTransformer
	CodeChickenCore: ignoreInvalidMCVersion state: false
	List of loaded APIs: 
		* Baubles|API (1.1.1.0) from Baubles-1.9.4-1.2.1.0.jar
		* BetterWithModsAPI (Beta 0.6) from Better With Mods-0.8.2-1.9.4-hotfix2.jar
		* BloodMagic|API (@VERSION@) from BloodMagic-1.9.4-2.0.3-51.jar
		* BotaniaAPI (79) from Botania-unofficial.r1.8-312.jar
		* CalculatorAPI (1.8.9 - 1.2) from Calculator-1.9.4-3.0.7.jar
		* ChiselAPI (0.0.1) from Chisel-MC1.9.4-0.0.6.33.jar
		* ChiselAPI|Carving (0.0.1) from Chisel-MC1.9.4-0.0.6.33.jar
		* CoFHAPI (1.8.9R1.2.0B1) from TurretMod-1.10-4.0.0-alpha.5.jar
		* CoFHAPI|energy (1.8.9R1.2.0B1) from Mekanism-1.10.2-9.1.0.287.jar
		* CoFHAPI|item (1.8.9R1.2.0B1) from Mekanism-1.10.2-9.1.0.287.jar
		* EnderIOAPI (0.0.2) from EnderIO-1.10.2-3.0.1.73_beta.jar
		* EnderIOAPI|Redstone (0.0.2) from EnderIO-1.10.2-3.0.1.73_beta.jar
		* EnderIOAPI|Teleport (0.0.2) from EnderIO-1.10.2-3.0.1.73_beta.jar
		* EnderIOAPI|Tools (0.0.2) from EnderIO-1.10.2-3.0.1.73_beta.jar
		* ForestryAPI|apiculture (4.8.0) from forestry_1.10.2-5.2.0.203.jar
		* ForestryAPI|arboriculture (4.2.1) from forestry_1.10.2-5.2.0.203.jar
		* ForestryAPI|circuits (3.1.0) from forestry_1.10.2-5.2.0.203.jar
		* ForestryAPI|core (5.0.0) from forestry_1.10.2-5.2.0.203.jar
		* ForestryAPI|farming (2.1.0) from forestry_1.10.2-5.2.0.203.jar
		* ForestryAPI|food (1.1.0) from forestry_1.10.2-5.2.0.203.jar
		* ForestryAPI|fuels (2.0.1) from forestry_1.10.2-5.2.0.203.jar
		* ForestryAPI|genetics (4.7.1) from forestry_1.10.2-5.2.0.203.jar
		* ForestryAPI|greenhouse (5.0.0) from forestry_1.10.2-5.2.0.203.jar
		* ForestryAPI|hives (4.1.0) from forestry_1.10.2-5.2.0.203.jar
		* ForestryAPI|lepidopterology (1.3.0) from forestry_1.10.2-5.2.0.203.jar
		* ForestryAPI|mail (3.0.0) from forestry_1.10.2-5.2.0.203.jar
		* ForestryAPI|multiblock (3.0.0) from forestry_1.10.2-5.2.0.203.jar
		* ForestryAPI|recipes (5.4.0) from forestry_1.10.2-5.2.0.203.jar
		* ForestryAPI|storage (4.0.0) from forestry_1.10.2-5.2.0.203.jar
		* ForestryAPI|world (2.1.0) from forestry_1.10.2-5.2.0.203.jar
		* gendustryAPI (2.3.0) from gendustry-1.6.4.10-mc1.10.2.jar
		* Guide-API|API (1.9.4-2.0.0-40) from Guide-API-1.9.4-2.0.0-40.jar
		* IC2API (1.0) from industrialcraft-2-2.6.21-ex110.jar
		* jeresources|API (0.4.6.42) from JustEnoughResources-1.10.2-0.4.6.42.jar
		* JustEnoughItemsAPI (4.0.0) from jei_1.10.2-3.7.8.234.jar
		* MekanismAPI|core (9.0.0) from Mekanism-1.10.2-9.1.0.287.jar
		* MekanismAPI|energy (9.0.0) from Mekanism-1.10.2-9.1.0.287.jar
		* MekanismAPI|gas (9.0.0) from Mekanism-1.10.2-9.1.0.287.jar
		* MekanismAPI|infuse (9.0.0) from Mekanism-1.10.2-9.1.0.287.jar
		* MekanismAPI|laser (9.0.0) from Mekanism-1.10.2-9.1.0.287.jar
		* MekanismAPI|reactor (9.0.0) from Mekanism-1.10.2-9.1.0.287.jar
		* MekanismAPI|recipe (9.0.0) from Mekanism-1.10.2-9.1.0.287.jar
		* MekanismAPI|transmitter (9.0.0) from Mekanism-1.10.2-9.1.0.287.jar
		* MekanismAPI|util (9.0.0) from Mekanism-1.10.2-9.1.0.287.jar
		* OpenComputersAPI|Component (6.0.0-alpha) from OpenComputers-MC1.10.2-1.6.0.20-dev.jar
		* OpenComputersAPI|Core (6.0.0-alpha) from OpenComputers-MC1.10.2-1.6.0.20-dev.jar
		* OpenComputersAPI|Driver (6.0.0-alpha) from OpenComputers-MC1.10.2-1.6.0.20-dev.jar
		* OpenComputersAPI|Driver|Item (6.0.0-alpha) from OpenComputers-MC1.10.2-1.6.0.20-dev.jar
		* OpenComputersAPI|Event (6.0.0-alpha) from OpenComputers-MC1.10.2-1.6.0.20-dev.jar
		* OpenComputersAPI|FileSystem (6.0.0-alpha) from OpenComputers-MC1.10.2-1.6.0.20-dev.jar
		* OpenComputersAPI|Internal (6.0.0-alpha) from OpenComputers-MC1.10.2-1.6.0.20-dev.jar
		* OpenComputersAPI|Machine (6.0.0-alpha) from OpenComputers-MC1.10.2-1.6.0.20-dev.jar
		* OpenComputersAPI|Manual (6.0.0-alpha) from OpenComputers-MC1.10.2-1.6.0.20-dev.jar
		* OpenComputersAPI|Network (6.0.0-alpha) from OpenComputers-MC1.10.2-1.6.0.20-dev.jar
		* OpenComputersAPI|Prefab (6.0.0-alpha) from OpenComputers-MC1.10.2-1.6.0.20-dev.jar
		* pressureAPI (1.3.1.6) from pressure-1.3.1.6-mc1.10.2.jar
		* StorageDrawersAPI (1.7.10-1.2.0) from StorageDrawers-1.9.4-3.2.0.jar
		* StorageDrawersAPI|config (1.7.10-1.2.0) from StorageDrawers-1.9.4-3.2.0.jar
		* StorageDrawersAPI|event (1.7.10-1.2.0) from StorageDrawers-1.9.4-3.2.0.jar
		* StorageDrawersAPI|inventory (1.7.10-1.2.0) from refinedstorage-0.8.12.jar
		* StorageDrawersAPI|pack (1.7.10-1.2.0) from StorageDrawers-1.9.4-3.2.0.jar
		* StorageDrawersAPI|registry (1.7.10-1.2.0) from StorageDrawers-1.9.4-3.2.0.jar
		* StorageDrawersAPI|render (1.7.10-1.2.0) from refinedstorage-0.8.12.jar
		* StorageDrawersAPI|storage (1.7.10-1.2.0) from refinedstorage-0.8.12.jar
		* StorageDrawersAPI|storage-attribute (1.7.10-1.2.0) from refinedstorage-0.8.12.jar
		* TerraqueousAPI (1.0) from terraqueous-1.10.0-1.2.1.jar
		* TerraqueousAPI|Cloud (1.0) from terraqueous-1.10.0-1.2.1.jar
		* TerraqueousAPI|Machines (1.0) from terraqueous-1.10.0-1.2.1.jar
		* TerraqueousAPI|Plant (1.0) from terraqueous-1.10.0-1.2.1.jar
		* WailaAPI (1.3) from Waila-1.7.0-B3_1.9.4.jar
	EnderIO: No known problems detected.
	Detailed RF API diagnostics:
                  * RF API class 'EnergyStorage' is loaded from: jar:file:/home/matt/modded/mods/Mekanism-1.10.2-9.1.0.287.jar!/cofh/api/energy/EnergyStorage.class
                  * RF API class 'IEnergyConnection' is loaded from: jar:file:/home/matt/modded/mods/Mekanism-1.10.2-9.1.0.287.jar!/cofh/api/energy/IEnergyConnection.class
                  * RF API class 'IEnergyContainerItem' is loaded from: jar:file:/home/matt/modded/mods/Mekanism-1.10.2-9.1.0.287.jar!/cofh/api/energy/IEnergyContainerItem.class
                  * RF API class 'IEnergyHandler' is loaded from: jar:file:/home/matt/modded/mods/Mekanism-1.10.2-9.1.0.287.jar!/cofh/api/energy/IEnergyHandler.class
                  * RF API class 'IEnergyProvider' is loaded from: jar:file:/home/matt/modded/mods/Mekanism-1.10.2-9.1.0.287.jar!/cofh/api/energy/IEnergyProvider.class
                  * RF API class 'IEnergyReceiver' is loaded from: jar:file:/home/matt/modded/mods/Mekanism-1.10.2-9.1.0.287.jar!/cofh/api/energy/IEnergyReceiver.class
                  * RF API class 'IEnergyStorage' is loaded from: jar:file:/home/matt/modded/mods/Mekanism-1.10.2-9.1.0.287.jar!/cofh/api/energy/IEnergyStorage.class
                  * RF API class 'ItemEnergyContainer' is loaded from: jar:file:/home/matt/modded/mods/Mekanism-1.10.2-9.1.0.287.jar!/cofh/api/energy/ItemEnergyContainer.class
                  * RF API class 'TileEnergyHandler' is loaded from: jar:file:/home/matt/modded/mods/Mekanism-1.10.2-9.1.0.287.jar!/cofh/api/energy/TileEnergyHandler.class
                  * RF API class 'TileEnergyHandler' is loaded from: jar:file:/home/matt/modded/mods/Mekanism-1.10.2-9.1.0.287.jar!/cofh/api/energy/TileEnergyHandler.class

	Profiler Position: N/A (disabled)
	Player Count: 0 / 20; []
	Is Modded: Definitely; Server brand changed to 'fml,forge'
	Type: Dedicated Server (map_server.txt)

Aroma1997

2016-08-04 17:45

developer   ~0004671

I tentatively fixed it. It now logs an error message in the log file. I would appreciate, if someone could give me back a log file of where it would normally happen.

cindylo

2016-08-04 22:50

reporter   ~0004678

It just happened as the server was starting, before people could even join.

Aroma1997

2016-08-05 09:25

developer   ~0004679

Try updating and if it spams the log with error messages, please send me the log.

Issue History

Date Modified Username Field Change
2016-07-24 23:39 cindylo New Issue
2016-07-24 23:39 cindylo File Added: crash-2016-07-24_19.03.16-server.txt
2016-07-25 10:08 Aroma1997 Relationship added duplicate of 0001923
2016-08-04 17:45 Aroma1997 Note Added: 0004671
2016-08-04 17:45 Aroma1997 Status new => resolved
2016-08-04 17:45 Aroma1997 Fixed in Version => Builds for MC 1.10.x
2016-08-04 17:45 Aroma1997 Resolution open => fixed
2016-08-04 17:45 Aroma1997 Assigned To => Aroma1997
2016-08-04 22:50 cindylo Note Added: 0004678
2016-08-05 09:25 Aroma1997 Note Added: 0004679